Bug 243809 - www/minio-client: fix build on aarch64
Summary: www/minio-client: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: John Hixson
URL:
Keywords: buildisok
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-02 17:18 UTC by Mikael Urankar
Modified: 2020-02-24 19:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jhixson)


Attachments
patch (1.80 KB, patch)
2020-02-02 17:18 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-02 17:18:16 UTC
Created attachment 211286 [details]
patch

# github.com/shirou/gopsutil/cpu
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:25:16: undefined: cpuTimes
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:42:31: undefined: cpuTimes
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:66:38: undefined: cpuTimes
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:72:15: undefined: cpuTimes
vendor/github.com/shirou/gopsutil/cpu/cpu_freebsd.go:87:13: undefined: cpuTimes

Not sure if I need to update go.mod.
Comment 1 Automation User 2020-02-17 00:09:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/118363872
Comment 2 Emmanuel Vadot freebsd_committer 2020-02-21 11:54:52 UTC
Approved-by: manu (mentor)
Pease wait for maintainer approval or maintainer timeout.
Comment 3 commit-hook freebsd_committer 2020-02-24 19:06:41 UTC
A commit references this bug:

Author: mikael
Date: Mon Feb 24 19:05:40 UTC 2020
New revision: 527036
URL: https://svnweb.freebsd.org/changeset/ports/527036

Log:
  www/minio-client: Unbreak on aarch64

  Unbreak by pulling in gopsutil@v2.20.1 to fix build on aarch64

  PR:		243809
  Approved by:	jhixson (maintainer timeout), manu (mentor)

Changes:
  head/www/minio-client/Makefile
  head/www/minio-client/distinfo